Array
(
    [0] => stdClass Object
        (
            [Votos_Balanceados] => 1
            [id] => 502324
            [titulo] => Problema com dreamweaver e MySQL
            [dataCadastro] => DateTime Object
                (
                    [date] => 2014-11-24 21:44:38
                    [timezone_type] => 3
                    [timezone] => America/Sao_Paulo
                )

            [isFirstPost] => -1
            [idUsuario] => 396907
            [status] => A
            [isExample] => 
            [NomeUsuario] => ROB2014
            [Apelido] => 
            [Foto] => 
            [Conteudo] => Teste o código abaixo de conexao. Vale lembrar que o banco deverá estar devidamente criado juntamente com o usuário

<?PHP

$dbname = "nome do banco";
$usuario_db = "login";
$password_db = "senha";
$host = "servidor"; // você pode setar como loca host


//1º passo - Conecta ao servidor MySQL
if(!($id = mysql_connect($host,$usuario_db,$password_db))) {
echo "1";
exit;
}

//2º passo - Seleciona o Banco de Dados
if(!($con=mysql_select_db($dbname,$id))) {
echo "2";
exit;
}
?> ) )

Problema com dreamweaver e MySQL

Adalberto Filho
   - 24 nov 2014

Professor agora no dreamweaver está dando esse erro :
!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /Connections/avfinforma.php was not found on this server.</p>
</body></html>

<?php
# FileName="Connection_php_mysql.htm"
# Type="MYSQL"
# HTTP="true"
$hostname_mysql = "localhost";
$database_mysql = "dreamweaver";
$username_mysql = "COLOQUEI O NOME CERTO";
$password_mysql = "COLOQUEI MINHA SENHA CORRETA";
$mysql = mysql_pconnect($hostname_mysql, $username_mysql, $password_mysql) or trigger_error(mysql_error(),E_USER_ERROR);
?>
O meu site é esse : http://www.avfinformatica.com.br
Criei em Dreamwaver , estou tentando passar para PHP , MAS , fiz um FORMULÁRIO EM index (Primeira Página ) , mas quando mando enviar os dados dá também esse erro :
Warning: mysql_connect() [function.mysql-connect]: Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2) in /var/www/html/avfinformatica.com.br/web/cadastro.php on line 27
Erro de conexão com localhost, o seguinte erro ocorreu -> Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
O senhor sabe dizer o que é issso ? Estou tentando passar O SITE TODO PARA PHP , MAS NÃO ESTOU CONSEGUINDO . O senhor pode me explicar como faço isso ?
OBS : Instalei o WAMPSERVICE
Obrigado desde já .
Essa dúvida foi gerada a partir de um comentário no artigo Instalando e configurando a nova versão do MySQL

Post mais votado

Rob2014
   - 24 nov 2014

Teste o código abaixo de conexao. Vale lembrar que o banco deverá estar devidamente criado juntamente com o usuário

<?PHP

$dbname = "nome do banco";
$usuario_db = "login";
$password_db = "senha";
$host = "servidor"; // você pode setar como loca host

//1º passo - Conecta ao servidor MySQL
if(!($id = mysql_connect($host,$usuario_db,$password_db))) {
echo "1";
exit;
}

//2º passo - Seleciona o Banco de Dados
if(!($con=mysql_select_db($dbname,$id))) {
echo "2";
exit;
}
?>

Adalberto Filho
   - 24 nov 2014

Ok , vou testar , depois digo se deu certo . Obrigado !

William (devwilliam)
   - 24 nov 2014

Senhores, sei que acabo sendo repetitivo em muitos post que respondo sobre a extensão mysql_, mas vou ressaltar novamente!

A partir do PHP 5.5 a extensão mysql_ está marcada como "deprecate", ou seja, possivelmente nas novas versões do PHP os sistemas que utilizam essa extensão irão parar de funcionar por falta de suporte e seus clientes ficaram doidos !!!

Adalberto Filho
   - 24 nov 2014

Mas, o senhor pode dizer o que é "deprecate" ? Eu estou hospedando no UOL , eles disseram que tinham tudo lá !

William (devwilliam)
   - 24 nov 2014


Citação:
Mas, o senhor pode dizer o que é "deprecate" ? Eu estou hospedando no UOL , eles disseram que tinham tudo lá !


"Deprecate" significa depreciado!!

Não é mais encorajado o uso dessa extensão pois não existe garantia que a mesma será atualizada ou se existirá em versões posteriores do PHP!

Dependendo da hospedagem estão com PHP 5.3 ou até inferior a essa versão.

Você pode usar a extensão "mysqli_" ou "PDO".